SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001276: error relaying denied on whitelistet IP/CIDR - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001276Endian FirewallProxy SMTPpublic2008-08-19 14:562008-10-08 13:30
Reporterra-endian 
Assigned Tora-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.2-rc3Fixed in Version2.2-rc3 
Summary0001276: error relaying denied on whitelistet IP/CIDR
Descriptionthe SMTP Proxy whitelist only work with green/blue/orange networks and not with networks behind a vpn endpoint ( multiple routing points)

Additional Informationdiff
--- /main.cf.tmpl (revision 14061)
+++ /main.cf.tmpl (working copy)
@@ -41,7 +41,7 @@
 smtpd_hard_error_limit = $smtpd_hard_error_limit
 
 smtpd_client_restrictions =
- check_client_access btree:/etc/postfix/client_rules,
+ check_client_access cidr:/etc/postfix/client_rules,
      permit_mynetworks,
      permit_sasl_authenticated,
 #for $rbl in $RBLS
@@ -70,9 +70,9 @@
 #end if
 
 smtpd_recipient_restrictions =
+ check_client_access cidr:/etc/postfix/client_rules,
      permit_mynetworks,permit_sasl_authenticated,
      reject_unauth_destination,
- check_recipient_access btree:/etc/postfix/recipient_rules,
 #if $reject_non_fqdn_recipient == '1'
      reject_non_fqdn_recipient,
 #end if
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2008-08-19 14:56 ra-endian New Issue
2008-08-19 14:56 ra-endian Status new => assigned
2008-08-19 14:56 ra-endian Assigned To => ra-endian
2008-08-19 14:58 ra-endian Status assigned => confirmed
2008-08-20 14:06 ra-endian Status confirmed => resolved
2008-08-20 14:06 ra-endian Fixed in Version => 2.2-rc3
2008-08-20 14:06 ra-endian Resolution open => fixed
2008-10-08 13:30 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker